<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="UTF-8"/>

<!-- xsltとか意味わかんないよ！こんなんでいいんですか -->

<xsl:template match="/">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="/*[1]">
	<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="Content-Language" content="ja" />
		<title>T-Memorial: <xsl:value-of select="name(.)" /></title>
		<meta name="generator" content="T-Memorial by Hamachiya2 [ http://twitter.com/Hamachiya2 ]" />
		<link rel="shortcut icon" href="favicon.ico" />
		<meta http-equiv="Content-Style-Type" content="text/css" />
		<link rel="stylesheet" type="text/css" href="t_memorial.css" charset="UTF-8" />
	</head>

	<body>
	<ul id="navi">
		<li><a href="archive.xml">archive</a></li>
		<li><a href="replies.xml">replies</a></li>
		<li><a href="favorites.xml">favorites</a></li>
		<li><a href="following.xml">following</a></li>
		<li><a href="followers.xml">followers</a></li>
		<li><a href="messages.xml">messages</a></li>
		<li><a href="sent.xml">sent</a></li>
	</ul>

	<h1><xsl:value-of select="name(.)" /> <span>(<xsl:value-of select="count(*)" />)</span></h1>
	<xsl:apply-templates select="*" />
	</body>
	</html>
</xsl:template>



<xsl:template match="status">
	<div class="section clearfix">
		<div class="userImage">
		<a href="http://twitter.com/{user/screen_name}"><img src="{user/profile_image_url}" /></a>
		</div>

		<div class="main">
			<div class="sectionHead">
				<div class="userDetail">
					<strong><a href="http://twitter.com/{user/screen_name}"><xsl:value-of select="user/screen_name" /></a> (<xsl:value-of select="user/name"/>)</strong>

					<span class="idnum">#<xsl:value-of select="user/id" /></span>

					<xsl:if test="user/protected='true'">
					<span class="protected">[Protected]</span>
					</xsl:if>
				</div>
			</div>

			<div class="bodyText">
			<xsl:value-of select="text" /> <span class="from">(from <xsl:value-of select="source" />)</span>
			</div>

			<div class="datetime">
			[ <a href="http://twitter.com/{user/screen_name}/statuses/{id}"><xsl:value-of select="created_at" /></a> ]
			</div>
		</div>
	</div>
</xsl:template>



<xsl:template match="direct_message">
	<div class="section clearfix">
		<div class="userImage kunekuneUsers">
		<a href="http://twitter.com/{sender/screen_name}"><img src="{sender/profile_image_url}" /></a>
		<span>→</span>
		<a href="http://twitter.com/{recipient/screen_name}"><img src="{recipient/profile_image_url}" /></a>
		</div>

		<div class="main">
			<div class="sectionHead">
				<div class="userDetail">
					<strong><a href="http://twitter.com/{sender/screen_name}"><xsl:value-of select="sender/screen_name" /></a> (<xsl:value-of select="sender/name"/>)</strong>
					 → 
					<strong><a href="http://twitter.com/{recipient/screen_name}"><xsl:value-of select="recipient/screen_name" /></a> (<xsl:value-of select="recipient/name"/>)</strong>

				</div>
			</div>

			<div class="bodyText">
			<xsl:value-of select="text" />
			</div>

			<div class="datetime">
			[ <xsl:value-of select="created_at" /> ]
			</div>
		</div>
	</div>
</xsl:template>



<xsl:template match="user">
	<div class="section clearfix">
		<div class="userImage">
		<img src="{profile_image_url}" />
		</div>

		<div class="main">
			<div class="sectionHead">
				<div class="userDetail">
					<strong><a href="http://twitter.com/{screen_name}"><xsl:value-of select="screen_name" /></a> (<xsl:value-of select="name" />)</strong>

					<span class="idnum">#<xsl:value-of select="id" /></span>

					<xsl:if test="protected='true'">
					<span class="protected">[Protected]</span>
					</xsl:if>

					<span class="url">[ <a href="{url}"><xsl:value-of select="url" /></a> ]</span>
				</div>
			</div>

			<div class="bodyText">
			<xsl:value-of select="description" />
			</div>

		</div>
	</div>
</xsl:template>


</xsl:stylesheet>
